﻿/* ElementViewModelBase.cs
 * part of zaaReloaded2
 * 
 * Copyright 2015 Daniel Kraus
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Bovender.Mvvm.ViewModels;
using zaaReloaded2.Controller.Elements;
using System.Diagnostics;
using System.Collections.ObjectModel;

namespace zaaReloaded2.ViewModels
{
    class ControlElementViewModel : ElementViewModel
    {
        #region Properties

        public ObservableCollection<ElementViewModel> Elements
        {
            get { return null; }
        }

        #endregion

        #region Constructors

        public ControlElementViewModel() : base() { }

        public ControlElementViewModel(ControlElementBase controlElement)
            : base(controlElement)
        { }

        #endregion
    }
}
